package com.mvc.model.ysfx;

import java.math.BigDecimal;
import java.util.List;

/**
 * 用水量
 */
public class WaterConsModel {
    private BigDecimal level1Cons;
    private BigDecimal level2Cons;

    private BigDecimal level3Cons;
    private BigDecimal level4Cons;
    private BigDecimal level5Cons;
    private BigDecimal level6Cons;

    //畅通率
    private Integer unblockedRate;

    //准确率
    private Integer precision;

    //明细列表
    private List<WaterConsDetailModel> details;

    public BigDecimal getLevel1Cons() {
        return level1Cons;
    }

    public void setLevel1Cons(BigDecimal level1Cons) {
        this.level1Cons = level1Cons;
    }

    public BigDecimal getLevel2Cons() {
        return level2Cons;
    }

    public void setLevel2Cons(BigDecimal level2Cons) {
        this.level2Cons = level2Cons;
    }

    public BigDecimal getLevel3Cons() {
        return level3Cons;
    }

    public void setLevel3Cons(BigDecimal level3Cons) {
        this.level3Cons = level3Cons;
    }

    public BigDecimal getLevel4Cons() {
        return level4Cons;
    }

    public void setLevel4Cons(BigDecimal level4Cons) {
        this.level4Cons = level4Cons;
    }

    public BigDecimal getLevel5Cons() {
        return level5Cons;
    }

    public void setLevel5Cons(BigDecimal level5Cons) {
        this.level5Cons = level5Cons;
    }

    public BigDecimal getLevel6Cons() {
        return level6Cons;
    }

    public void setLevel6Cons(BigDecimal level6Cons) {
        this.level6Cons = level6Cons;
    }

    public Integer getUnblockedRate() {
        return unblockedRate;
    }

    public void setUnblockedRate(Integer unblockedRate) {
        this.unblockedRate = unblockedRate;
    }

    public Integer getPrecision() {
        return precision;
    }

    public void setPrecision(Integer precision) {
        this.precision = precision;
    }

    public List<WaterConsDetailModel> getDetails() {
        return details;
    }

    public void setDetails(List<WaterConsDetailModel> details) {
        this.details = details;
    }
}
